Bluetooth firmware missing for BCM43142A0-04ca-2009

Bug #1448836 reported by Jonatan Zeidler on 2015-04-27
16
This bug affects 2 people
Affects Status Importance Assigned to Milestone
linux-firmware (Ubuntu)
Wishlist
Unassigned

Bug Description

I am using an Acer E 15. I am not sure how to find out the specifications of my bluetooth device. I found nothing with lsusb or lspci. The only thing i found was that:

dmesg | grep bluetooth
[ 12.314809] bluetooth hci0: Direct firmware load for brcm/BCM43142A0-04ca-2009.hcd failed with error -2

Until Ubuntu 14.10 the bluetooth device was not recognized at all. Since the update to Ubuntu 15.04 i can activate it through Gnome system settings and make it visible. But it will not be found by any device and will not find any itself.

WORKAROUND: Download:
https://github.com/winterheart/broadcom-bt-firmware/blob/master/brcm/BCM43142A0-04ca-2009.hcd

and copy it to:
/lib/firmware/brcm/BCM.hcd

ProblemType: Bug
DistroRelease: Ubuntu 15.04
Package: linux-image-3.19.0-15-generic 3.19.0-15.15
ProcVersionSignature: Ubuntu 3.19.0-15.15-generic 3.19.3
Uname: Linux 3.19.0-15-generic x86_64
NonfreeKernelModules: nvidia wl
ApportVersion: 2.17.2-0ubuntu1
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/pcmC1D0p: jonatan 2465 F...m pulseaudio
 /dev/snd/controlC1: jonatan 2465 F.... pulseaudio
 /dev/snd/controlC0: jonatan 2465 F.... pulseaudio
CurrentDesktop: GNOME
Date: Sun Apr 26 23:56:01 2015
HibernationDevice: RESUME=UUID=83a341ec-8e0a-48f3-b194-a58b60546f21
InstallationDate: Installed on 2015-01-07 (109 days ago)
InstallationMedia: Ubuntu-GNOME 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
MachineType: Acer Aspire E5-571G
ProcFB: 0 inteldrmfb
ProcKernelCmdLine: BOOT_IMAGE=/vmlinuz-3.19.0-15-generic.efi.signed root=/dev/mapper/ubuntu--gnome--vg-root ro quiet splash vt.handoff=7
RelatedPackageVersions:
 linux-restricted-modules-3.19.0-15-generic N/A
 linux-backports-modules-3.19.0-15-generic N/A
 linux-firmware 1.143
SourcePackage: linux
UpgradeStatus: Upgraded to vivid on 2015-04-23 (3 days ago)
dmi.bios.date: 09/25/2014
dmi.bios.vendor: Insyde Corp.
dmi.bios.version: V1.16
dmi.board.asset.tag: Type2 - Board Asset Tag
dmi.board.name: EA50_HB
dmi.board.vendor: Acer
dmi.board.version: V1.16
dmi.chassis.asset.tag: Chassis Asset Tag
dmi.chassis.type: 10
dmi.chassis.vendor: Acer
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnInsydeCorp.:bvrV1.16:bd09/25/2014:svnAcer:pnAspireE5-571G:pvrV1.16:rvnAcer:rnEA50_HB:rvrV1.16:cvnAcer:ct10:cvrChassisVersion:
dmi.product.name: Aspire E5-571G
dmi.product.version: V1.16
dmi.sys.vendor: Acer

Jonatan Zeidler (jonius) wrote :

This change was made by a bot.

Changed in linux (Ubuntu):
status: New → Confirmed
tags: added: bios-outdated-1.27
Changed in linux (Ubuntu):
importance: Undecided → Low
status: Confirmed → Incomplete
Jonatan Zeidler (jonius) wrote :

Unfortunatly acer does not offer a BIOS Update image, only a Bios update windows application (exe). The support only tells me that they don't support linux even though I don't need Linux support but only the bios update image!

Joseph Salisbury (jsalisbury) wrote :

Would it be possible for you to test the latest upstream kernel? Refer to https://wiki.ubuntu.com/KernelMainlineBuilds . Please test the latest v4.0 kernel[0].

If this bug is fixed in the mainline kernel, please add the following tag 'kernel-fixed-upstream'.

If the mainline kernel does not fix this bug, please add the tag: 'kernel-bug-exists-upstream'.

If you are unable to test the mainline kernel, for example it will not boot, please add the tag: 'kernel-unable-to-test-upstream'.
Once testing of the upstream kernel is complete, please mark this bug as "Confirmed".

Thanks in advance.

[0] http://kernel.ubuntu.com/~kernel-ppa/mainline/v4.1-rc1-vivid/

Jonatan Zeidler (jonius) wrote :

In kernel 4.1 the problem still exists.

Changed in linux (Ubuntu):
status: Incomplete → Confirmed
tags: added: kernel-bug-exists-upstream
description: updated
tags: added: kernel-bug-exists-upstream-4.1
Amr Ibrahim (amribrahim1987) wrote :

This bug exists because firmware brcm/BCM43142A0-04ca-2009.hcd is not found in Ubuntu. Please add it.

tags: added: trusty
Jonatan Zeidler (jonius) wrote :

Amr Ibrahim is right. I downloaded the missing file from https://github.com/winterheart/broadcom-bt-firmware/blob/master/brcm/BCM43142A0-04ca-2009.hcd and renamed it to /lib/firmware/brcm/BCM.hcd. Now bluetooth works fine. Can't this file be added to Ubuntu so that not everyone needs to do this manually? Or is it a licence issue?

Btw, this seems to be a duplicate of https://bugs.launchpad.net/ubuntu/+source/bluez/+bug/1366418.

description: updated
Kai-Heng Feng (kaihengfeng) wrote :

Unless Broadcom release its bluetooth firmware with compatible license with linux-firmware, we can't do much here.

no longer affects: linux (Ubuntu)
Changed in linux-firmware (Ubuntu):
importance: Undecided → Wishlist
summary: - Bluetooth doesn't find any device
+ Bluetooth firmware missing for BCM43142A0-04ca-2009

Kai-Heng Feng, as per Broadcom, they provide firmware via Windows update:
https://www.broadcom.com/support/bluetooth/

Hence, why not have a package in Ubuntu that scripts pulling the relevant file from Windows update, extracts the relevant bits, and moves it into the proper location?

This is nothing more than automating what folks already do to WORKAROUND this issue, without forcing everyone to hold their breath waiting for a license from Broadcom.

Changed in linux-firmware (Ubuntu):
status: New → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers